Get evolution variable
GET
/api/v2/evolution-variable/{id}/
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://pokeapi.co/api/v2/evolution-variable/1/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://pokeapi.co/api/v2/evolution-variable/1/")) .method("GET", HttpRequest.BodyPublishers.noBody()) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://pokeapi.co/api/v2/evolution-variable/1/") .get() .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = {method: 'GET', url: 'https://pokeapi.co/api/v2/evolution-variable/1/'};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://pokeapi.co/api/v2/evolution-variable/1/';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://pokeapi.co/api/v2/evolution-variable/1/";
let client = reqwest::Client::new(); let response = client.get(url) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url https://pokeapi.co/api/v2/evolution-variable/1/wget --quiet \ --method GET \ --output-document \ - https://pokeapi.co/api/v2/evolution-variable/1/Evolution variables represent parameters (such as Encryption Constant and Personality Value) used in boolean expressions for form-branching evolutions. Check out Bulbapedia for greater detail.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
This parameter can be a string or an integer.
Example
1Responses
Section titled “Responses”Media typeapplication/json
object
id
required
integer
name
required
string
symbol
required
string
data_type
string
source
Where the value comes from: ‘pokemon’ for data stored on the Pokemon (e.g. EC, PID), ‘player-input’ for an action taken by the player while evolving (e.g. SPIN_DIR, SPIN_SEC)
string
version_group
required
object
name
required
string
url
required
string format: uri
names
required
Array<object>
object
name
required
string
language
required
object
name
required
string
url
required
string format: uri
descriptions
required
Array<object>
object
description
string
language
required
object
name
required
string
url
required
string format: uri
Example
{ "id": 1, "name": "encryption-constant", "symbol": "EC", "data_type": "uint32", "source": "pokemon", "version_group": { "name": "x-y", "url": "https://pokeapi.co/api/v2/version-group/15/" }, "names": [ { "name": "Encryption Constant", "language": { "name": "en", "url": "https://pokeapi.co/api/v2/language/9/" } } ], "descriptions": [ { "description": "An unsigned 32-bit integer introduced in Generation VI that is generated alongside a Pokémon's personality value. It is used to calculate internal form variations (such as Dudunsparce, Maushold, and Wurmple), determine Spinda spot patterns, break ties in characteristic calculations, and structure Pokémon data.", "language": { "name": "en", "url": "https://pokeapi.co/api/v2/language/9/" } } ]}